import { Divider } from "antd"
import { BarChart4, FilePieChartIcon, FileQuestion, Settings, UserCircle, Users } from "lucide-react"
import React from "react"
import Menu, { IMenu } from "./nav"

const dashboard: IMenu[] = [
  {
    id: "status",
    name: "응시현황",
    icon: <BarChart4 className="w-5 h-5" />,
    link: {
      path: "/status",
    },
  },
  {
    id: "analysis",
    name: "응시분석",
    icon: <FilePieChartIcon className="w-5 h-5" />,
    link: {
      path: "/analysis",
    },
  },
]

const manage: IMenu[] = [
  {
    id: "quiz",
    name: "퀴즈시트",
    icon: <FileQuestion className="w-5 h-5" />,
    link: {
      path: "/program",
    },
  },
  {
    id: "user",
    name: "User",
    icon: <Users className="w-5 h-5" />,
    link: {
      path: "/user",
    },
  },
]

const setting: IMenu[] = [
  {
    id: "account",
    name: "계정",
    icon: <UserCircle className="w-5 h-5" />,
    link: {
      path: "/account",
    },
  },
  {
    id: "system",
    name: "시스템",
    icon: <Settings className="w-5 h-5" />,
    link: {
      path: "/system",
    },
  },
]

const MainMenu = () => {
  return (
    <>
      <h2>대시보드</h2>

      <Menu data={dashboard} />
      <Divider />

      <h2>정보관리</h2>
      <Menu data={manage} />
      <Divider />

      <h2>설정</h2>
      <Menu data={setting} />
    </>
  )
}

export default React.memo(MainMenu)
